﻿using Model.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model.Dto
{
    public  class BasPlcItemConfigDto:BaseDto
    {
        public long Id { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        public string PlcCode { get; set; }

        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        private  string plcItem { get; set; }
        public string PlcItem
        {
            get { return plcItem; }
            set { plcItem = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        private string plcAddress { get; set; }
        public string PlcAddress
        {
            get { return plcAddress; }
            set { plcAddress = value; OnPropertyChanged(); }
        }

        private  string plcValue { get; set; }
        public string PlcValue
        {
            get { return plcValue; }
            set { plcValue = value; OnPropertyChanged(); }
        }

        /// <summary>
        /// plc实时值(数据库中没有的字段，方便测试时绑定使用）
        /// </summary>
        private string realValue { get; set; }
        public string RealValue
        {
            get { return realValue; }
            set { realValue = value; OnPropertyChanged(); }
        }
        /// <summary>
        /// Desc:
        /// Default:
        /// Nullable:True
        /// </summary>           
        private  string remark { get; set; }
        public string Remark
        {
            get { return remark; }
            set { remark = value; OnPropertyChanged(); }
        }
    }
}
