﻿using System;
using System.Linq;
using System.Text;
using SqlSugar;

namespace Model.Entities
{
    ///<summary>
    ///
    ///</summary>
    [SugarTable("sys_operate_log")]
    public partial class sys_operate_log
    {
           public sys_operate_log(){


           }
           /// <summary>
           /// Desc:日志主键
           /// Default:
           /// Nullable:False
           /// </summary>           
           [SugarColumn(IsPrimaryKey=true)]
           public long operate_id {get;set;}

           /// <summary>
           /// Desc:模块标题
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string title {get;set;}

           /// <summary>
           /// Desc:业务类型（0其它 1新增 2修改 3删除）
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int business_type {get;set;}

           /// <summary>
           /// Desc:方法名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string method {get;set;}

           /// <summary>
           /// Desc:请求方式
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string request_method {get;set;}

           /// <summary>
           /// Desc:操作类别（0其它 1后台用户 2手机端用户）
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int operator_type {get;set;}

           /// <summary>
           /// Desc:操作人员
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string oper_name {get;set;}

           /// <summary>
           /// Desc:部门名称
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string dept_name {get;set;}

           /// <summary>
           /// Desc:请求URL
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string oper_url {get;set;}

           /// <summary>
           /// Desc:主机地址
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string oper_ip {get;set;}

           /// <summary>
           /// Desc:操作地点
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string oper_location {get;set;}

           /// <summary>
           /// Desc:请求参数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string oper_param {get;set;}

           /// <summary>
           /// Desc:返回参数
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string json_result {get;set;}

           /// <summary>
           /// Desc:操作状态（0正常 1异常）
           /// Default:
           /// Nullable:False
           /// </summary>           
           public int status {get;set;}

           /// <summary>
           /// Desc:错误消息
           /// Default:
           /// Nullable:True
           /// </summary>           
           public string error_msg {get;set;}

           /// <summary>
           /// Desc:操作时间
           /// Default:
           /// Nullable:True
           /// </summary>           
           public DateTime? operate_time {get;set;}

           /// <summary>
           /// Desc:请求用时
           /// Default:
           /// Nullable:True
           /// </summary>           
           public long? elapsed {get;set;}

    }
}
